#-----------------------------------------------------------------------------
#
#   ALHM - Main menu screen
#
#-----------------------------------------------------------------------------

from pygame.locals import *
from albow.resource import get_image
from albow.layout import Column
from albow.music import get_music, change_music
from humerus.main_commands import MainCommandScreen

music = get_music("music.ogg")

class MainMenuScreen(MainCommandScreen):

    bg_image = get_image("main.png")

    menu_items = [
        ("About",            'about',              [K_F1, K_h]),
        ("New Game",         'new_game',           [K_n]),
        ("Load Game...",     'load_game',          [K_o]),
        ("Save Game",        'save_game',          [K_s]),
        ("Save Game As...",  'save_game_as',       []),
        ("Continue",         'resume_game',        []),
        #("Options",          'options',            []),
        ("Restart Level",    'restart_level',      [K_r]),
        #("Custom Levels...", 'open_level_set',     [K_k]),
        #("Level Editor",     'enter_level_editor', [K_e]),
        ("Quit",             'quit',               [K_q]),
    ]

    def get_title(self):
        return None

    def position_title_and_menu(self, box):
        box.left = 16
        box.bottom = self.rect.height - 16

    def enter_screen(self):
        #print "Starting music"
        change_music(music, repeat = True)
        pass
    
    def leave_screen(self):
        #print "Stopping music"
        change_music(None)
